///////////////////////////////////
//Technik 2009
//Revolution Engine 0.5
///////////////////////////////////
//Ligts header file

#ifndef REV_LIGHTS_H
#define REV_LIGHTS_H

class LIGHT:public NODE
{
public:
	LIGHT(GXColor clr = SC_WHITE, u8 flags = F_Active);
	GXColor clr;
private:
	LIGHT * next;
protected:
	u8 lType;
friend class AMODEL;
friend class SMODEL;
};

class DLIGHT: public LIGHT//Directional Light
{
public:
	DLIGHT();
	void setDir(Vector dir);
};

//Global data
extern GXColor ambientLight;

#endif
