///////////////////////////////////
//Technik 2009
//Revolution Engine 0.5
///////////////////////////////////
//Viewports header file

#ifndef VIEWPORTS_H
#define VIEWPORTS_H

class VIEWPORT: public PANEL
{
public:
	VIEWPORT(Vector pos, f32 sx, f32 sy, CAMERA * camera = defaultCam, u8 flags = F_Visible + F_Active);
	~VIEWPORT();
	void freeze(void);
	void unfreeze(void);
	void setSize(f32 x, f32 y);
	CAMERA * camera;
private:
	VIEWPORT * nextVP;
	void * buffer;
	void setForRender(Mtx44 m);
	void copyTexture();
friend void REV_process();
};

#endif
